import request from '@/utils/request'

// 人员管理- 查询列表
export function listPersonAPI(query) {
    return request({
        url: '/worker/getWorkerList',
        method: 'GET',
        params: query,
    })
}

// 人员管理- 新增
export function addPersonAPI(data) {
    return request({
        url: '/worker/addWorker',
        method: 'POST',
        data,
    })
}

// 人员管理- 修改
export function updatePersonAPI(data) {
    return request({
        url: '/worker/updateWorker',
        method: 'POST',
        data,
    })
}

// 人员管理- 删除
export function delPersonAPI(data) {
    return request({
        url: `/worker/delWorker`,
        method: 'POST',
        data,
    })
}

// 获取人员全量
export function getAllPersonAPI() {
    return request({
        url: '/worker/getWorkerSelect',
        method: 'GET',
    })
}
